
#include <dos.h>

#include <proto/dos.h>
#include <proto/exec.h>
#include <proto/intuition.h>

#include <exec/execbase.h>

#include <dopus/ipc.h>
#include <dopus/memory.h>
#include <pragmas/dopus_pragmas.h>


typedef struct
{
         ULONG           a4;
         struct Library *library;
         struct Library *module;
         IPCData        *ipc;
         void           (*entry)(IPCData *, APTR );
         APTR           data;
                 
}   StartupData;

extern struct Library *DOpusBase;
extern APTR mempool;
